PDA

View Full Version : مبتدی: انتخاب Framework



iran2008
جمعه 17 مهر 1394, 10:28 صبح
سلام دوستان؛
تو همون قسمت ابتدایی ایجاد یک پروژه، میخاستم بدونم وقتی ما هر یک از فریم ورک های موردنظر ر وانتخاب کنیم، برنامه با همون ساخته میشه و فریمورک همون نسخه باید رو سیستم کاربر نصب باشه تا برنامه اجرا بشه؟
مثلا من رو ویژال 2010 این فریم ورکها دارم:
http://www.axopic.com/uploads/1444369469921.jpg
حال اگه بفرض بیام یه پروژه با فریمورک 3.5 بسازم ، وقتیکه برنامه بخاد رو سیستم کاربر اجرا بشه نیاز به فریمورک 3.5 داره. این درسته؟
اگه فریمورک 4 رو سیستم کاربر باشه ، بازم باید حتما نسخه 3.5 فریمورک رو نصب کنه؟

ممنون میشم.
کمی ذهنم درگیر این قضیه هست .
تشکر

Hajivandian
جمعه 17 مهر 1394, 10:52 صبح
سلام،

همیشه فریم ورک های جدید تر میتونن برنامه هایی که با فریم ورک قدیمی تر نوشته شدن رو هم اجرا کنن. شما هر لحظه میتونین فریم ورک خودتون رو تغییر بدید که این تغییر اگر به فریم ورک جدید تر باشه به مشکلی نمیخورید و اگر این تغییر به فریم ورک قدیمی تر باشه در صورت استفاده از توابعی که فقط در فریم ورک جدید تر موجود بوده اونوقت به مشکل میخورید و باید اون بخش کدتون رو اصلاح کنید.
اگر پروژه خودتون رو با فریم ورک های نسخه 4 به پایین بنویسید اونوقت اگر رو سیستم کاربر فریم ورک 4 هم نصب باشه برنامه تون پیغام میده که مثلا باید فریم ورک 3.5 رو نصب کنید که خیلی راحت با گذاشتن یه فایل کانفیگ کنار فایل اجرایی برنامتون میتونید اون رو مجبور به استفاده از همون فریم ورک جدید بکنید که نیازی به کامپایل مجدد برنامه هم نیست.
https://msdn.microsoft.com/en-us/library/jj152935(v=vs.110).aspx

iran2008
جمعه 17 مهر 1394, 12:36 عصر
تشکر از دوست عزیز؛
میشه بفرمائید نحوه گذاشتن یا ساخت اون فایل کانفیگ کنار فایل اجرایی ما چجوریه؟